/// <reference types="vite/client" />

import { type PageContextBuiltIn } from "vite-plugin-ssr";

declare global {
  interface Env {
    ASSETS: Fetcher;
    DATA: KVNamespace;
    [k: string]: string;
  }

  type RequestContext = EventContext<Env, string, { [k: string]: any }>;
  interface PageContext extends PageContextBuiltIn {
    current_user?: { [k: string]: any };
    kv: KVNamespace;
    pageProps: {
      [k: string]: any;
    };
    requireAuth?: boolean;
    status: number;
  }
}

export {};
